import { Dropdown } from "./dropdown"
export class Account {
    checked: boolean;
    duplicate: boolean;
    accountId: number;
    accountName: string;
    nagpId: string;
    nagpName: string;
    dpId: string;
    dpName: string;
    accountCmatAddressId: string;
    accountSegmentation: string;
    geo: string;
    area: string;
    region: string;
    district: string;
    country: string
    state: string;
    postalCode: string;
    zrequestId: string;
    zrequestor: string;
    currentOwner: string;
    newOwner: string;
    salesCreditException: string;
    creditHAName: string;
    ownerName: string;
    toggle: boolean;
    territoryName: string;
    territoryId: number;
    accountOwnerChangeResponse: Object;
    currentValue: string;
    newValue: string;
    requestType: string;
}

export class AccountFilterModel {
    public accountId: string;
    public currentAccount: string;
    public ownerName: string;
    public accountCmatAddressId: string;
    public accountName: string;
    public filter: string;
    public filterValue: string;
    public dpId: string;
    public dpName: string;
    public nagpId: string;
    public nagpName: string;
    public sortableColumn: string;
    public sortingType: string;
    public newOwner: string;
    public newOwnerName: string;
    public saveNewOwner: string;
    public saveNewOwnerName: string;

    public saveNewValue: string;
    public saveNewValueText: string;
    public geo: string;
    public area: string;
    public region: string;
    public district: string;
    public country: string;
    public state: string;
    public postalCode: string;
    public territoryName: string;

    public territoryId: string;
}

export class Comment {
    public requestId: string;
    public comment: string;
    public typeCode: string;
    public typeValue: string;
    public createdBy: string;
    public updatedBy: string;
    commentType: Dropdown;

}
// Generated by https://quicktype.io

export class ChangeLog {
    requestId: string;
    previousOwner: string;
    newOwner: string;
    submittedBy: string;
    submittedDate: string;
    executedDate: string;
}


export class AOSalesCreditExceptionRequest {
    private salesCreditException: string;
}